#ifndef MAIN_MNU_STATE_H
#define MAIN_MNU_STATE_H

#include "GameState.h"
#include <SDL2/SDL.h>
#include <SDL2/SDL_ttf.h>

class MainMenuState final : public GameState {
public:
    void init() override;
    void handleEvents(SDL_Event& event) override;
    void update() override;
    void render(SDL_Renderer* renderer) override;
};

#endif